Name:           system-summary
Version:        0.0.3
Release:        2%{?dist}
Summary:        A quick summary of system hardware

Group:          Applications/System
License:        GPLv2+
URL:            http://anongit.dangerouslyinc.com/system-summary
Source0:        http://dangerouslyinc.com/files/system-summary/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

BuildRequires:  python-devel
BuildRequires:  desktop-file-utils

Requires:       python-sexy
Requires:       smolt
Requires:       smolt-gui
Requires:       fedora-logos

%description
A simple "About this computer" screen that summarizes your system's hardware
and software.

%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

desktop-file-install --vendor="fedora"                               \
        --delete-original                                            \
        --dir=$RPM_BUILD_ROOT/%{_datadir}/applications               \
        %{buildroot}/%{_datadir}/applications/system-summary.desktop


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING README
%{_bindir}/system-summary

%dir %{_datadir}/system-summary
%{_datadir}/system-summary/*
%{_datadir}/applications/fedora-system-summary.desktop


%changelog
* Fri Jan 11 2008 James Bowes <jbowes@redhat.com> 0.0.3-2
- add BR on python-devel
- Correct desktop-file-install

* Wed Jan 09 2008 James Bowes <jbowes@redhat.com> - 0.0.3-1
- Run desktop-file-install.
- Point to a download location.

* Tue Jan 08 2008  James Bowes <jbowes@redhat.com> - 0.0.2-2
- Update license to GPLv2+
- Require fedora-logos

* Wed May 02 2007 James Bowes <jbowes@redhat.com> - 0.0.2-1
- New version
- Require smolt-gui
- Own /usr/share/system-summary
- use bindir and datadir macros

* Tue Apr 17 2007 Will Woods <wwoods@redhat.com> - 0.0.1-1
- Initial packaging.
